clang 10.0.0git

Public Member Functions | Static Public Member Functions | Friends | List of all members
clang::BlockInvocationContext Class Reference

`#include "clang/Analysis/AnalysisDeclContext.h"`

Inheritance diagram for clang::BlockInvocationContext:
[legend]
Collaboration diagram for clang::BlockInvocationContext:
[legend]

## Public Member Functions
| ~BlockInvocationContext () override=default
const BlockDecl * | getBlockDecl () const
const void * | getContextData () const
void | Profile (llvm::FoldingSetNodeID &ID) override
Public Member Functions inherited from clang::LocationContext
virtual | ~LocationContext ()
ContextKind | getKind () const
int64_t | getID () const
AnalysisDeclContext * | getAnalysisDeclContext () const
const LocationContext * | getParent () const
bool | isParentOf (const LocationContext *LC) const
const Decl * | getDecl () const
CFG * | getCFG () const
template<typename T >
T * | getAnalysis () const
const ParentMap & | getParentMap () const
const ImplicitParamDecl * | getSelfDecl () const
const StackFrameContext * | getStackFrame () const
virtual bool | inTopFrame () const
| Return true if the current LocationContext has no caller context. More...
void | dumpStack (raw_ostream &Out, const char *NL="\, std::function< void(const LocationContext *)> printMoreInfoPerContext=[](const LocationContext *) {}) const
void | printJson (raw_ostream &Out, const char *NL="\, unsigned int Space=0, bool IsDot=false, std::function< void(const LocationContext *)> printMoreInfoPerContext=[](const LocationContext *) {}) const
void | dump () const

## Static Public Member Functions
static void | Profile (llvm::FoldingSetNodeID &ID, AnalysisDeclContext *ctx, const LocationContext *parent, const BlockDecl *bd, const void *contextData)
static bool | classof (const LocationContext *Ctx)
Static Public Member Functions inherited from clang::LocationContext
static void | ProfileCommon (llvm::FoldingSetNodeID &ID, ContextKind ck, AnalysisDeclContext *ctx, const LocationContext *parent, const void *data)

## Friends
class | LocationContextManager

## Additional Inherited Members
Public Types inherited from clang::LocationContext
enum | ContextKind { StackFrame, Scope, Block }
Protected Member Functions inherited from clang::LocationContext
| LocationContext (ContextKind k, AnalysisDeclContext *ctx, const LocationContext *parent, int64_t ID)

## Detailed Description

Definition at line 371 of file AnalysisDeclContext.h.

## Constructor & Destructor Documentation

## ◆ ~BlockInvocationContext()

clang::BlockInvocationContext::~BlockInvocationContext | ( |  | ) |
| override default

## Member Function Documentation

## ◆ classof()

static bool clang::BlockInvocationContext::classof | ( | const LocationContext * | Ctx | ) |
| inline static

Definition at line 401 of file AnalysisDeclContext.h.

References clang::LocationContext::getKind().

## ◆ getBlockDecl()

const BlockDecl* clang::BlockInvocationContext::getBlockDecl | ( |  | ) | const
| inline

Definition at line 388 of file AnalysisDeclContext.h.

## ◆ getContextData()

const void* clang::BlockInvocationContext::getContextData | ( |  | ) | const
| inline

Definition at line 390 of file AnalysisDeclContext.h.

## ◆ Profile() [1/2]

void BlockInvocationContext::Profile | ( | llvm::FoldingSetNodeID & | ID | ) |
| override virtual

Implements clang::LocationContext.

Definition at line 372 of file AnalysisDeclContext.cpp.

Referenced by clang::LocationContextManager::getBlockInvocationContext().

## ◆ Profile() [2/2]

static void clang::BlockInvocationContext::Profile | ( | llvm::FoldingSetNodeID & | ID,
|  | AnalysisDeclContext * | ctx,
|  | const LocationContext * | parent,
|  | const BlockDecl * | bd,
|  | const void * | contextData
| ) |  |
| inline static

Definition at line 394 of file AnalysisDeclContext.h.

## Friends And Related Function Documentation

## ◆ LocationContextManager

friend class LocationContextManager
| friend

Definition at line 372 of file AnalysisDeclContext.h.

The documentation for this class was generated from the following files:

- include/clang/Analysis/AnalysisDeclContext.h
- lib/Analysis/AnalysisDeclContext.cpp